version: "3.8"

services:
  sandbox-container:
    image: registry.cn-hangzhou.aliyuncs.com/ihypo/skills-sandbox:latest
    container_name: sandbox-container
    privileged: true
    cap_add:
      - SYS_ADMIN
    security_opt:
      - seccomp:unconfined
    networks:
      - platform
    environment:
      - SANDBOX_BWRAP_PROC_BIND=y
    volumes:
      - ./data/sandbox:/data
    restart: unless-stopped

  vibomics-platform:
    image: registry.cn-hangzhou.aliyuncs.com/ihypo/vibomics-platform:260804
    container_name: vibomics-platform
    ports:
      - 18443:8080
      - 18445:9443
    networks:
      - middleware
      - platform
    volumes:
      - ./config.json:/app/config.json:ro
    depends_on:
      - sandbox-container
    restart: unless-stopped

networks:
  middleware:
    external: true
  platform:
    external: false
